PO4A-NORMALIZE.1P(1)

NOME
po4a-normalize - normalizza un documento facendolo analizzare e poi riscrivere da po4a

SINTASSI
po4a-normalize -f formato originale.doc

DESCRIZIONE
L'obiettivo del progetto po4a (PO per tutto) è di facilitare le traduzioni (e cosa più interessante, la manutenzione delle traduzioni) usando gli strumenti associati a gettext in aree inaspettate come la documentazione.

Il programma po4a-normalize è uno strumento di debug usato per accertarsi che po4a non modifichi un documento quando non deve. È utile solo a chi sta sviluppando un nuovo modulo o a chi dubita dell'affidabilità di po4a.

Il documento generato viene scritto in po4a-normalize.output mentre il file POT generato viene scritto in po4a-normalize.po come impostazione predefinita, ma si possono usare le opzioni --localized e --pot per cambiare.

OPZIONI

-o, --option
    Opzioni extra da passare al plugin di formato. Vedere la documentazione per ogni plugin per ulteriori informazioni sulle opzioni valide e sul loro significato. Per esempio si può passare "-o tablecells" al parser AsciiDoc mentre il parser di testo semplice accetta "-o tabs=split".

-w, --width
    Colonna a cui mandare a capo il file risultante se il formato lo supporta (predefinita: 76).

-b, --blank
    Creare un documento tradotto vuoto. Il documento tradotto generato verrà creato assumendo che tutti i messaggi sono tradotti da uno spazio o da un a capo.

    Questo è utile per controllare quali parti del documento non possono essere tradotte.

    Le opzioni --blank e --capitalize non possono essere usate contemporaneamente.

-C, --capitalize
    Crea un documento tradotto e il file po corrispondente con le stringhe originali tradotte come versioni in maiuscolo.

    Utile per controllare quali parti del documento non possono essere tradotte e per generare dati di test su questo per po4a.

    Le opzioni --blank e --capitalize non possono essere usate contemporaneamente.

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-M, --master-charset
    Set di caratteri del file contenente il documento da tradurre.

-l, --localized
    Il nome del file normalizzato da generare (per impostazione predefinita po4a-normalize.output).

-p, --pot
    Il file pot da produrre (per impostazione predefinita po4a-normalize.po).

-V, --version
    Mostra la versione del programma ed esce.

VEDERE ANCHE
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@posteo.net>

COPYRIGHT E LICENZA
Copyright 2002-2023 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL v2.0 o successive (vedere il file COPYING).